using Prog;
namespace UnitTest
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void Sum10_and40_return50()
        {
            int x = 10;
            int y = 40;
            int answer = 50;
            Calculation calculation = new Calculation();
            int actual = calculation.Sum(x, y);
            Assert.AreEqual(answer, actual);
        }

        [TestMethod]
        public void Sum20_and20_returnNot40()
        {
            int x = 20;
            int y = 20;
            int answer = 40;
            Calculation calculation = new Calculation();
            int actual = calculation.Sum(x, y);
            Assert.AreNotEqual(answer, actual);
        }

        [TestMethod]
        public void Dif100_and50_return50()
        {
            int x = 100;
            int y = 50;
            Calculation calculation = new Calculation();
            int actual = calculation.Dif(x, y);
            Assert.IsNotNull(actual);
        }

        [TestMethod]
        public void Dif80_and30_returnNot50()
        {
            int x = 80;
            int y = 30;
            int answer = 50;
            Calculation calculation = new Calculation();
            int actual = calculation.Dif(x, y);
            Assert.AreNotEqual(answer, actual);
        }

        [TestMethod]
        public void Div21_and3_return7()
        {
            double x = 21;
            double y = 3;
            double answer = 7;
            Calculation calculation = new Calculation();
            double actual = calculation.Div(x, y);
            Assert.AreEqual(answer, actual);
        }

        [TestMethod]
        public void Div20_and3_returnNotInt()
        {
            double x = 20;
            double y = 3;
            Calculation calculation = new Calculation();
            double actual = calculation.Div(x, y);
            Assert.IsInstanceOfType(actual, typeof(int));
        }

        [TestMethod]
        public void Mult15_and5_returnDouble()
        {
            double x = 15;
            double y = 5;
            Calculation calculation = new Calculation();
            double actual = calculation.Mult(x, y);
            Assert.IsInstanceOfType(actual, typeof(double));
        }

        [TestMethod]
        public void Mult2_and2_returnNotNull()
        {
            double x = 2;
            double y = 2;
            Calculation calculation = new Calculation();
            double actual = calculation.Mult(x, y);
            Assert.IsNull(actual);
        }

        [TestMethod]
        public void Deg2_and3_returnInt()
        {
            int x = 2;
            int y = 3;
            Calculation calculation = new Calculation();
            int actual = calculation.Deg(x, y);
            Assert.IsInstanceOfType(actual, typeof(int));
        }

        [TestMethod]
        public void Deg2_and3_returnNot8()
        {
            int x = 2;
            int y = 3;
            int answer = 8;
            Calculation calculation = new Calculation();
            int actual = calculation.Deg(x, y);
            Assert.AreNotEqual(answer, actual);
        }
    }
}